Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id
Class IdentifierGeneratorFactory

    java.lang.Object
      org.hibernate.id.IdentifierGeneratorFactory

    public final class IdentifierGeneratorFactory

extends Object

Factory and helper methods for `IdentifierGenerator` framework.

Author:
  Gavin King

Field Summary
`static Serializable` | `POST_INSERT_INDICATOR`
`static Serializable` | `SHORT_CIRCUIT_INDICATOR`

Method Summary
`static IdentifierGenerator` | `create(String strategy, Type type, Properties params, Dialect dialect)`
`static Number` | `createNumber(long value, Class clazz)`
`static Serializable` | `get(ResultSet rs, Type type)`
`static Serializable` | `getGeneratedIdentity(ResultSet rs, Type type)` Get the generated identifier when using identity columns
`static Class` | `getIdentifierGeneratorClass(String strategy, Dialect dialect)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHORT_CIRCUIT_INDICATOR

    public static final Serializable SHORT_CIRCUIT_INDICATOR

### POST_INSERT_INDICATOR

    public static final Serializable POST_INSERT_INDICATOR

Method Detail

### getGeneratedIdentity

    public static Serializable getGeneratedIdentity(ResultSet rs,
                                                    Type type)
                                             throws SQLException,
                                                    HibernateException,
                                                    IdentifierGenerationException

  Get the generated identifier when using identity columns

  Throws:
    `SQLException`
    `HibernateException`
    `IdentifierGenerationException`

### get

    public static Serializable get(ResultSet rs,
                                   Type type)
                            throws SQLException,
                                   IdentifierGenerationException

  Throws:
    `SQLException`
    `IdentifierGenerationException`

### create

    public static IdentifierGenerator create(String strategy,
                                             Type type,
                                             Properties params,
                                             Dialect dialect)
                                      throws MappingException

  Throws:
    `MappingException`

### getIdentifierGeneratorClass

    public static Class getIdentifierGeneratorClass(String strategy,
                                                    Dialect dialect)

### createNumber

    public static Number createNumber(long value,
                                      Class clazz)
                               throws IdentifierGenerationException

  Throws:
    `IdentifierGenerationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD